using System;
using System.ComponentModel.Composition;
using System.Globalization;
using System.Windows.Media.Imaging;

using Microsoft.LightSwitch.BaseServices.ResourceService;

namespace SimpleDataGridExtension.Resources
{
    [Export(typeof(IResourceProvider))]
    [ResourceProvider("SimpleDataGridExtension.SimpleDataGrid")]
    internal class SimpleDataGridImageProvider : IResourceProvider
    {
        #region IResourceProvider Members

        public object GetResource(string resourceId, CultureInfo cultureInfo)
        {
            return new BitmapImage(new Uri("/SimpleDataGridExtension.Design;component/Resources/ControlImages/SimpleDataGrid.png", UriKind.Relative));
        }

        #endregion
    }
}